For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Detail
              • PUTUpdate Company Role
              • DELDelete Company Role
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany Roles and Permissions

Delete Company Role

Beta
DELETE
https://api-b2b.bigcommerce.com/api/v3/io/companies/roles/:roleId
DELETE
/api/v3/io/companies/roles/:roleId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/companies/roles/1 \
> -H "authToken: <apiKey>"
200Example 1
1{
2 "code": 200,
3 "data": {},
4 "meta": {
5 "message": "SUCCESS"
6 }
7}
Delete company role - Predefined roles cannot be deleted. - Roles associated with users cannot be deleted.
Was this page helpful?
Previous

Update Company Role

Next

Overview

Built with

Delete company role

  • Predefined roles cannot be deleted.
  • Roles associated with users cannot be deleted.

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Path parameters

roleIdintegerRequired

Response

OK
codeinteger
dataobject
metaobject